com.fasterxml.jackson.databind.ser.std

## Class CalendarSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<T>
      - - com.fasterxml.jackson.databind.ser.std.DateTimeSerializerBase<Calendar>
        - - com.fasterxml.jackson.databind.ser.std.CalendarSerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, ContextualSerializer

      public class CalendarSerializer
      extends DateTimeSerializerBase<Calendar>

  Standard serializer for `Calendar`. As with other time/date types, is configurable to produce timestamps (standard Java 64-bit timestamp) or textual formats (usually ISO-8601).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CalendarSerializer` | `instance`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.DateTimeSerializerBase

      `_customFormat, _useTimestamp`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarSerializer()`
    `CalendarSerializer(boolean useTimestamp, DateFormat customFormat)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected long` | `_timestamp(Calendar value)`
    `void` | `serialize(Calendar value, JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.
    `CalendarSerializer` | `withFormat(boolean timestamp, DateFormat customFormat)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.DateTimeSerializerBase

      `acceptJsonFormatVisitor, createContextual, getSchema, isEmpty`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer

      `serializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final CalendarSerializer instance

  - ### Constructor Detail

    - #### CalendarSerializer

          public CalendarSerializer()

    - #### CalendarSerializer

          public CalendarSerializer(boolean useTimestamp,
                            DateFormat customFormat)

  - ### Method Detail

    - #### withFormat

          public CalendarSerializer withFormat(boolean timestamp,
                                      DateFormat customFormat)

      Specified by:
        `withFormat` in class `DateTimeSerializerBase<Calendar>`

    - #### _timestamp

          protected long _timestamp(Calendar value)

      Specified by:
        `_timestamp` in class `DateTimeSerializerBase<Calendar>`

    - #### serialize

          public void serialize(Calendar value,
                       JsonGenerator jgen,
                       SerializerProvider provider)
                         throws IOException,
                                JsonGenerationException

      Description copied from class: `JsonSerializer`
      Method that can be called to ask implementation to serialize values of type this serializer handles.
      Specified by:
        `serialize` in class `DateTimeSerializerBase<Calendar>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `jgen` - Generator used to output resulting Json content
        `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
      Throws:
        `IOException`
        `JsonGenerationException`

Copyright © 2012-2013 FasterXML. All Rights Reserved.